## sl-modem 2.9.9a

=== Makefile ===
###########################################################################
#
#
#       Makefile  --  modem Makefile.
#
#       Copyright(c) 2003, Smart Link Ltd. (www.smlink.com)
#	All rights reserved.
#
#       Author: Sasha K (sashak@smlink.com)
#
#
###########################################################################
#
###########################################################################

KERNEL_DIR:=/lib/modules/$(shell uname -r)/build

# tools
INSTALL:=install

all: modem drivers

modem:
	$(MAKE) -C $@ all

install: all install-drivers
	$(INSTALL) -D -m 755 modem/slmodemd ${DESTDIR}/usr/sbin/slmodemd
	$(RM) -rf ${DESTDIR}/var/lib/slmodem
	$(INSTALL) -d -D -m 755 ${DESTDIR}/var/lib/slmodem

uninstall: uninstall-drivers
	$(RM) ${DESTDIR}/usr/sbin/slmodemd
	$(RM) -rf ${DESTDIR}/var/lib/slmodem

drivers:
	$(MAKE) -C drivers KERNEL_DIR=$(KERNEL_DIR)

install-drivers:
	$(MAKE) install -C drivers KERNEL_DIR=$(KERNEL_DIR)
uninstall-drivers:
	$(MAKE) uninstall -C drivers KERNEL_DIR=$(KERNEL_DIR)

# misc rules
sub-dirs:= modem drivers
.PHONY: $(sub-dirs) all old clean dep install
clean dep: %: %-sub-dirs
%-sub-dirs:
	$(foreach dir,$(sub-dirs),$(MAKE) -C $(dir) $(patsubst %-sub-dirs,%,$@) && ) echo "done."

=== drivers/Makefile ===
###########################################################################
#
#
#       Makefile  --  modem kernel drivers Makefile.
#
#       Copyright(c) 2003, Smart Link Ltd. (www.smlink.com)
#	All rights reserved.
#
#       Author: Sasha K (sashak@smlink.com)
#
#
###########################################################################
#
###########################################################################

#KBUILD_VERBOSE=1
#export KBUILD_VERBOSE

KERNEL_DIR:=/lib/modules/$(shell uname -r)/build

EXTRA_CFLAGS = -I$(obj) -I$(obj)/../modem

obj-m := slamr.o slusb.o

slamr-objs:= amrmo_init.o sysdep_amr.o amrlibs.o
slusb-objs:= st7554.o

ifndef KERNELRELEASE
ifndef KERNEL_VER

all install uninstall: kernel-ver
	$(MAKE) $@ KERNEL_VER=$(shell ./kernel-ver)

install: install-devices
uninstall: remove-devices

kernel-ver::
	$(CC) -I$(KERNEL_DIR)/include -o $@ $@.c

dep:
clean:
	$(RM) kernel-ver $(obj-m) $(obj-m:.o=.ko) *st7554.o amrmo_init.o sysdep_amr.o *.mod.* .*.cmd *~

install-devices:
	mkdir -p ${DESTDIR}/dev
	$(foreach minor,0 1 2 3, \
	    mknod -m 600 ${DESTDIR}/dev/slamr$(minor) c 212 $(minor) ; ) echo -n
	$(foreach minor,0 1 2 3, \
	    mknod -m 600 ${DESTDIR}/dev/slusb$(minor) c 213 $(minor) ; ) echo -n
remove-devices:
	$(foreach minor,0 1 2 3, \
	    $(RM) ${DESTDIR}/dev/slamr$(minor) ; ) echo -n
	$(foreach minor,0 1 2 3, \
	    $(RM) ${DESTDIR}/dev/slusb$(minor) ; ) echo -n

else
ifeq ($(findstring 2.4,$(KERNEL_VER)),2.4)

slusb-objs:= old_st7554.o
obj:=.
module-dir:=${DESTDIR}/lib/modules/$(KERNEL_VER)/misc

CFLAGS:= -Wall -pipe -O3 -fomit-frame-pointer -D__KERNEL__ -DMODULE -DEXPORT_SYMTAB -DMODVERSIONS --include $(KERNEL_DIR)/include/linux/modversions.h -I$(KERNEL_DIR)/include

all: $(obj-m)

slamr.o: $(slamr-objs)
slusb.o: $(slusb-objs)
slamr.o slusb.o:
	$(LD) -r -o $@ $^

install: uninstall-old
	install -D -m 644 slamr.o $(module-dir)/slamr.o
	install -D -m 644 slusb.o $(module-dir)/slusb.o
	cp /etc/modules.conf /etc/modules.conf.slamr && \
	    echo 'alias char-major-212 slamr' >> /etc/modules.conf && \
	    echo 'alias char-major-213 slusb' >> /etc/modules.conf 
	/sbin/depmod -a
uninstall:
	/sbin/modprobe -r slamr slusb
	cp /etc/modules.conf /etc/modules.conf.slamr && \
	   egrep -ve 'alias char-major-212 slamr|alias char-major-213 slusb' /etc/modules.conf.slamr > /etc/modules.conf
	$(RM) $(module-dir)/slamr.o
	$(RM) $(module-dir)/slusb.o
	/sbin/depmod -a
uninstall-old:
	$(RM) $(module-dir)/slmdm.o \
              $(module-dir)/slfax.o \
              $(module-dir)/slusb.o \
              $(module-dir)/slamrmo.o \
              $(module-dir)/slmodem.o  # remove old 2.7,2.8 version

%.o: %.c
	$(CC) $(CFLAGS) $(EXTRA_CFLAGS) $(CFLAGS_$@) -o $@ -c $<

else

module-dir:=${DESTDIR}/lib/modules/$(KERNEL_VER)/extra

all:
	$(MAKE) modules -C $(KERNEL_DIR) SUBDIRS=$(shell pwd)
install:
	install -D -m 644 slamr.ko $(module-dir)/slamr.ko
	install -D -m 644 slusb.ko $(module-dir)/slusb.ko
	/sbin/depmod -a
uninstall:
	modprobe -r slamr ; echo -n
	modprobe -r slusb ; echo -n
	$(RM) $(module-dir)/slamr.ko
	$(RM) $(module-dir)/slusb.ko
	/sbin/depmod -a
endif

endif
endif

$(obj)/amrlibs.o:
	echo "$@ done"

=== modem/Makefile ===
###########################################################################
#
#
#       Makefile  --  modem application Makefile.
#
#       Copyright(c) 2003, Smart Link Ltd. (www.smlink.com)
#	All rights reserved.
#
#       Author: Sasha K (sashak@smlink.com)
#
#
###########################################################################
#
###########################################################################

CC:= gcc
RM:= rm -f

CFLAGS:= -Wall -g -O -I. -DCONFIG_DEBUG_MODEM


modem-objs:= \
	modem.o modem_datafile.o modem_at.o modem_timer.o \
	modem_pack.o modem_ec.o modem_comp.o \
	modem_param.o modem_debug.o homolog_data.o
dp-objs:= dp_sinus.o dp_dummy.o
sysdep-objs:= sysdep_common.o

all: slmodemd modem_test

slmodemd: modem_main.o modem_cmdline.o $(modem-objs) $(dp-objs) dsplibs.o $(sysdep-objs)
modem_test: modem_test.o modem_cmdline.o $(modem-objs) $(dp-objs) dsplibs.o $(sysdep-objs)

#SUPPORT_ALSA:=1
ifdef SUPPORT_ALSA
slmodemd: -lasound
CFLAGS+= -DSUPPORT_ALSA=1
endif

slmodemd modem_test:
	$(CC) -o $@ $^

clean:
	$(RM) slmodemd modem_test modem_main.o modem_cmdline.o modem_test.o $(modem-objs) $(dp-objs) $(sysdep-objs)
	$(RM) *~

.PHONY: all dep generic-dep clean clean-build-profile


#
# rules
#

%.o: %.c .build_profile
	$(CC) $(CFLAGS) $(EXTRA_CFLAGS) $(CFLAGS_$@) -o $@ -c $<

dep: generic-dep
generic-dep:
	$(RM) .depend
	$(foreach src,$(wildcard *.c),$(CC) -M $(CFLAGS) $(EXTRA_CFLAGS) $(CFLAGS_$(src:.c=.o)) -c $(src) >> .depend ;)

-include .depend

# build_profile
-include .build_profile

.build_profile::
ifneq ($(CFLAGS),$(PROFILE_CFLAGS))
	@if [ "$(CFLAGS) $(EXTRA_CFLAGS)" != "$(PROFILE_CFLAGS)" ] ; then \
	  echo "rebuild profile..." ; \
	  echo "PROFILE_CFLAGS=$(CFLAGS) $(EXTRA_CFLAGS)" > $(@) ; fi
endif

clean: clean-build-profile
clean-build-profile:
	@$(RM) -f .build_profile

## sl-modem 2.9.9d+e

=== modem/Makefile ===
--- 
+++ 
@@ -42,7 +42,7 @@
 
 clean:
 	$(RM) slmodemd modem_test modem_main.o modem_cmdline.o modem_test.o $(modem-objs) $(dp-objs) $(sysdep-objs)
-	$(RM) *~
+	$(RM) *~ *.orig *.rej
 
 .PHONY: all dep generic-dep clean clean-build-profile

## sl-modem 2.9.11~20080817

=== drivers/Makefile ===
--- 
+++ 
@@ -17,10 +17,21 @@
 #export KBUILD_VERBOSE
 
 KERNEL_DIR:=/lib/modules/$(shell uname -r)/build
+SUBLEVEL:=$(shell echo $(KERNEL_DIR) | cut -d. -f3 | cut -d. -f1 | cut -d-  -f1)
+# slusb support ends at 2.6.24
+AGE:=$(shell if [ "$(SUBLEVEL)" -gt 24 ] ;then echo NEW;fi)
 
 EXTRA_CFLAGS = -I$(obj) -I$(obj)/../modem
 
-obj-m := slamr.o slusb.o
+ARCH64:=$(shell uname -m | sed -e '/amd64/s//x86_64/' | grep -c x86_64)
+
+ifeq ($(ARCH64), 0)
+obj-m:= slamr.o 
+endif
+
+ifneq ($(AGE), NEW)
+obj-m:= $(obj-m) slusb.o 
+endif
 
 slamr-objs:= amrmo_init.o sysdep_amr.o amrlibs.o
 slusb-objs:= st7554.o
@@ -35,18 +46,23 @@
 uninstall: remove-devices
 
 kernel-ver::
+	@echo "doing kernel-ver::"
 	$(CC) -I$(KERNEL_DIR)/include -o $@ $@.c
 
 dep:
 clean:
 	$(RM) kernel-ver $(obj-m) $(obj-m:.o=.ko) *st7554.o amrmo_init.o sysdep_amr.o *.mod.* .*.cmd *~
+	$(RM) -r .tmp_versions
 
 install-devices:
 	mkdir -p ${DESTDIR}/dev
 	$(foreach minor,0 1 2 3, \
-	    mknod -m 600 ${DESTDIR}/dev/slamr$(minor) c 212 $(minor) ; ) echo -n
+	    mknod -m 600 ${DESTDIR}/dev/slamr$(minor) c 242 $(minor) ; ) echo -n
+ifneq ($(AGE), NEW)
 	$(foreach minor,0 1 2 3, \
-	    mknod -m 600 ${DESTDIR}/dev/slusb$(minor) c 213 $(minor) ; ) echo -n
+	    mknod -m 600 ${DESTDIR}/dev/slusb$(minor) c 243 $(minor) ; ) echo -n
+endif
+
 remove-devices:
 	$(foreach minor,0 1 2 3, \
 	    $(RM) ${DESTDIR}/dev/slamr$(minor) ; ) echo -n
@@ -70,16 +86,18 @@
 	$(LD) -r -o $@ $^
 
 install: uninstall-old
+ifeq ($(ARCH64), 0)
 	install -D -m 644 slamr.o $(module-dir)/slamr.o
+endif
 	install -D -m 644 slusb.o $(module-dir)/slusb.o
 	cp /etc/modules.conf /etc/modules.conf.slamr && \
-	    echo 'alias char-major-212 slamr' >> /etc/modules.conf && \
-	    echo 'alias char-major-213 slusb' >> /etc/modules.conf 
+	    echo 'alias char-major-242 slamr' >> /etc/modules.conf && \
+	    echo 'alias char-major-243 slusb' >> /etc/modules.conf 
 	/sbin/depmod -a
 uninstall:
 	/sbin/modprobe -r slamr slusb
 	cp /etc/modules.conf /etc/modules.conf.slamr && \
-	   egrep -ve 'alias char-major-212 slamr|alias char-major-213 slusb' /etc/modules.conf.slamr > /etc/modules.conf
+	   egrep -ve 'alias char-major-242 slamr|alias char-major-243 slusb' /etc/modules.conf.slamr > /etc/modules.conf
 	$(RM) $(module-dir)/slamr.o
 	$(RM) $(module-dir)/slusb.o
 	/sbin/depmod -a
@@ -91,6 +109,7 @@
               $(module-dir)/slmodem.o  # remove old 2.7,2.8 version
 
 %.o: %.c
+	@echo "	doing %.o: %.c"
 	$(CC) $(CFLAGS) $(EXTRA_CFLAGS) $(CFLAGS_$@) -o $@ -c $<
 
 else
@@ -98,13 +117,24 @@
 module-dir:=${DESTDIR}/lib/modules/$(KERNEL_VER)/extra
 
 all:
+	@echo "	obj-m=$(obj-m)"
+	@echo "	slamr-objs=$(slamr-objs)" 
 	$(MAKE) modules -C $(KERNEL_DIR) SUBDIRS=$(shell pwd)
+	@echo "	finished all:"
+
 install:
+ifeq ($(ARCH64), 0)
 	install -D -m 644 slamr.ko $(module-dir)/slamr.ko
+endif
+ifneq ($(AGE), NEW)
 	install -D -m 644 slusb.ko $(module-dir)/slusb.ko
+endif
 	/sbin/depmod -a
+
 uninstall:
+ifeq ($(ARCH64), 0)
 	modprobe -r slamr ; echo -n
+endif
 	modprobe -r slusb ; echo -n
 	$(RM) $(module-dir)/slamr.ko
 	$(RM) $(module-dir)/slusb.ko

## sl-modem 2.9.11~20100303

=== drivers/Makefile ===
--- 
+++ 
@@ -19,9 +19,14 @@
 KERNEL_DIR:=/lib/modules/$(shell uname -r)/build
 SUBLEVEL:=$(shell echo $(KERNEL_DIR) | cut -d. -f3 | cut -d. -f1 | cut -d-  -f1)
 # slusb support ends at 2.6.24
+
+ifndef USB
 AGE:=$(shell if [ "$(SUBLEVEL)" -gt 24 ] ;then echo NEW;fi)
+endif
 
-EXTRA_CFLAGS = -I$(obj) -I$(obj)/../modem
+FOUND_CLASS_SIMPLE := $(shell grep -q 'class_simple_device_add' ${KERNEL_DIR}/include/linux/device.h 2> /dev/null && echo -DFOUND_CLASS_SIMPLE)
+
+EXTRA_CFLAGS = -I$(obj) -I$(obj)/../modem $(FOUND_CLASS_SIMPLE)
 
 ARCH64:=$(shell uname -m | sed -e '/amd64/s//x86_64/' | grep -c x86_64)
 
@@ -29,6 +34,7 @@
 obj-m:= slamr.o 
 endif
 
+# AGE:=test
 ifneq ($(AGE), NEW)
 obj-m:= $(obj-m) slusb.o 
 endif
@@ -51,7 +57,7 @@
 
 dep:
 clean:
-	$(RM) kernel-ver $(obj-m) $(obj-m:.o=.ko) *st7554.o amrmo_init.o sysdep_amr.o *.mod.* .*.cmd *~
+	$(RM) kernel-ver $(obj-m) $(obj-m:.o=.ko) *st7554.o amrmo_init.o sysdep_amr.o *.mod.* .*.cmd *~ slusb.*
 	$(RM) -r .tmp_versions
 
 install-devices:
@@ -70,13 +76,13 @@
 	    $(RM) ${DESTDIR}/dev/slusb$(minor) ; ) echo -n
 
 else
-ifeq ($(findstring 2.4,$(KERNEL_VER)),2.4)
+ifeq ($(shell grep 'UTS.*"2\.6' $(KERNEL_DIR)/include/linux/utsrelease.h $(KERNEL_DIR)/include/linux/version.h 2>/dev/null),)
 
 slusb-objs:= old_st7554.o
 obj:=.
 module-dir:=${DESTDIR}/lib/modules/$(KERNEL_VER)/misc
 
-CFLAGS:= -Wall -pipe -O3 -fomit-frame-pointer -D__KERNEL__ -DMODULE -DEXPORT_SYMTAB -DMODVERSIONS --include $(KERNEL_DIR)/include/linux/modversions.h -I$(KERNEL_DIR)/include
+CFLAGS:= -Wall -pipe -O3 -fomit-frame-pointer -D__KERNEL__ -DMODULE -DEXPORT_SYMTAB -DMODVERSIONS --include $(KERNEL_DIR)/include/linux/modversions.h -I$(KERNEL_DIR)/include $(FOUND_CLASS_SIMPLE)
 
 all: $(obj-m)

=== debian/changelog ===
sl-modem (2.9.11~20100303-2) unstable; urgency=low

  * debian/control:
    + Really remove quilt from sl-modem-source's Depends
    + Add execstack to Build-Deps
  * debian/rules: Mark slmodemd as not requiring executable stack
    (LP: #537650)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Tue, 16 Mar 2010 22:44:51 +0200

sl-modem (2.9.11~20100303-1) unstable; urgency=low

  * New upstream release.
    + Fixes NO CARRIER issue with linux kernel >= 2.6.31
  * Dropped 2.6.31.diff patch, as it got applied upstream.
  * Refreshed debian/sl-modem-source.lintian-overrides
  * debian/control: Added DM-Upload-Allowed field.
  * Only include modem/modem_defs.h in sl-modem-source
  * debian/rules: add -s switch to dh to correctly build on amd64 archs.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 14 Mar 2010 13:03:39 +0200

sl-modem (2.9.11~20090222-3) unstable; urgency=low

  [ Rolf Leggewie ]
  * debian/control:
    - add myself to Uploaders
    - update description for sl-modem-daemon package. (LP: #109620)
    - request the package to be autobuilt (adjust debian/copyright accordingly)
    - drop kernel-package from Recommends, we use dkms
    - move linux-headers from Recommends to Depends and make more robust
    - stop to provide sl-modem-modules-new which has been unused for years now
  * debian/patches: add autoload.diff patch from Ubuntu
    (Ubuntu should be able to go back to sync mode now)

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * debian/control:
    - sl-modem-source conflicts with sl-modem-daemon version 2.9.11~20080817
      and earlier (LP: #520890)
    - Bump Standards-Version to 3.8.4
  * debian/sl-modem-daemon.init: Fix error message when slamr is not found
    (LP: #42991)
  * debian/sl-modem-source.postinst: use DKMS-provided logic instead of
    maintaining our own (LP: #497149)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 14 Feb 2010 21:27:04 +0200

sl-modem (2.9.11~20090222-2) unstable; urgency=low

  * Switch to 3.0 (quilt) source format.
  * Removed debian/sl-modem-daemon.dirs
  * Added debian/sl-modem-daemon.preinst to remove obsolete
    sl-modem-daemon.modutils conf file. (from Ubuntu although for a different
    purpose)
  * Added debian/sl-modem-daemon.lintian-overrides
  * Install sl-modem.conf using dh_installmodules
  * debian/dkms.conf.in: Use 'cd' instead of popd & pushd
  * debian/control:
    + s/Alsa/ALSA in extended description.
    + Bumped Standards-Version to 3.8.3
  * Added 2.6.31.diff patch to fix FTBFS with kernels >= 2.6.31
    (Closes: #563823)
  * debian/sl-modem-daemon.init:
    + Added $remote_fs to Required-Start & Required-Stop
    + Added sl-modem-daemon to Provides
  * debian/NEWS: Use regular paragraphs rather than asterisks.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sat, 09 Jan 2010 20:18:53 +0200

sl-modem (2.9.11~20090222-1) unstable; urgency=low

  * New upstream release.
  * Refreshed patch: 01_Makefile.diff
  * Removed patches that were merged upstream: 02_dial_string_size.diff,
    03_Makefile_2.6.12.4.diff, 05_st7554_license.diff, README.diff,
    06_slmodem-class-simple-to-class-meins.diff, kernel-ver.diff,
    fortify_source.diff, class_device.diff
  * Remove support for module-assistant
    + debian/rules:
      - Remove binary-modules, kdist_clean & kdist_config targets and the
        variables/includes associated with them (including AGE, k & SUBLEVEL
        variables).
      - Remove lines that create/install /usr/src/sl-modem.tar.bz2 from
        install target.
    + debian/control for sl-modem-source target:
      - Remove module-assistant, debhelper, bzip2, quilt from Depends field.
      - Remove mention of module-assistant from extended description.
      - Added: Provides: sl-modem-modules, sl-modem-modules-new
    + sl-modem-daemon.README.Debian: Remove mention of module-assistant.
    + debian/README.Debian:
      - Removed mention of module-assistant & make-kpkg.
      - Rephrased the paragraph about manual building of modules.
    + Merge sl-modem-modules-_KVERS_.postinst.modules.in into
      sl-modem-source.postinst:
      - Use invoke-rc.d instead of directly running sl-modem-daemon init
        script.
      - Remove sl-modem-modules-_KVERS_.postinst.modules.in
      - Removed code that creates slamr and slusb devices.
      - Renamed daemon-stop function to daemon_stop to remove bashism.
    + Remove sl-modem-source.dirs
  * Removed debian/hotplug
  * debian/rules: simplified rules file
  * Removed debian/control.modules.in
  * Updated Japanese translation (Closes: #518603).
  * Rename sl-modem-daemon.modutils to sl-modem.conf (Closes: #519672).
  * debian/copyright: converted to machine readable format.
  * Merge changes from Ubuntu:
    + debian/patches/autoload.diff: Patch drivers to export the right aliases
      for auto-load on open.
    + Hence remove alias lines from sl-modem.conf.
  * debian/control:
    + Added Vcs-* fields.
    + Bump Standards-Version to 3.8.2, no changes needed
    + Build-Depend on debhelper >= 7.0.50~ to support override targets.
    + Build-Depend on quilt >= 7.0.50~ to support dh --with quilt
  * debian/compat, debian/control: Upgraded to debhelper 7
  * debian/sl-modem.conf: add entries for slusb loading.
  * Added debian/sl-modem-source.lintian-overrides,
    debian/sl-modem-daemon.manpages and debian/NEWS

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 19 Jul 2009 13:51:53 +0300

sl-modem (2.9.11~20080817-4) unstable; urgency=low

  * Added libc6-dev to sl-modem-source's Depends: field.
  * debian/patches/*.diff: add contributor info.
  * debian/sl-modem-daemon.init (change from Ubuntu): Also check for modems
    which are subdevices, and thus only expose themselves in "aplay -l", not
    in /proc/asound/cards. Thanks to Peteris Krisjanis for the patch! (Closes:
    #517055).


=== debian/control ===
Source: sl-modem
Section: non-free/misc
Priority: optional
Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
Uploaders: Maurizio Avogadro <mavoga@gmail.com>, Rolf Leggewie <foss@rolf.leggewie.biz>
Build-Depends: debhelper (>= 7.0.50~), bzip2, libasound2-dev (>> 1.0.6) [i386], lib32asound2-dev [amd64], libc6-dev-i386 [amd64] | lib32c-dev [amd64], gcc-multilib [amd64], po-debconf, execstack
Standards-Version: 3.8.4
DM-Upload-Allowed: yes
Homepage: http://linmodems.technion.ac.il/packages/smartlink/
Vcs-Git: git://git.debian.org/git/collab-maint/sl-modem.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/sl-modem.git
XS-Autobuild: yes

Package: sl-modem-source
Architecture: i386
Depends: ${misc:Depends}, libc6-dev,
 linux-headers-686 | linux-headers-amd64 | linux-headers-generic | linux-headers
Recommends: dkms
Description: SmartLink software modem driver - module building source
 This package contains source code for the low-level drivers for the
 software modems produced by Smart Link Ltd. It supports PCI and USB models.
 .
 In addition to this package, you will need the package sl-modem-daemon
 which implements the application part of the driver.
 .
 Module packages can be built for the custom kernel package either by hand or
 using DKMS.

Package: sl-modem-daemon
Architecture: i386 amd64
Depends: ${misc:Depends}, ${shlibs:Depends}, debconf | debconf-2.0, adduser
Provides: slmodem
Conflicts: sl-modem-modules, sl-modem-source (<< 2.9.11~20080817)
Description: SmartLink software modem daemon
 The SmartLink modem daemon is the application part of the
 driver for recent modems produced by Smart Link Ltd.
 .
 This package replaces (along with hardware access drivers) the old
 driver generation (2.7.x) which consisted of kernel modules only.
 .
 It needs a kernel driver to access the hardware. This can be either
 recent ALSA (shipped with a newer kernel (>=2.6.4) with ALSA support
 and snd-intel8x0m module) which is sufficient for basic operation and
 data/Internet connection, or the SmartLink kernel driver which is
 provided by separate packages which you can build using the source from
 the sl-modem-source package.

=== debian/rules ===
#!/usr/bin/make -f

export KVERS

CVERSION := $(shell dpkg-parsechangelog | grep '^Version:' | cut -d' ' -f2 | cut -d- -f1)

%:
	dh -s $@

override_dh_auto_build:
	$(MAKE) SUPPORT_ALSA=1 CC="gcc $(shell dpkg-architecture -ei386 || echo -m32)"
	# Mark slmodemd as not requiring executable stack (LP: #537650)
	execstack -c modem/slmodemd

	# Make 15sl-modem-daemon executable before install:
	chmod +x debian/15sl-modem-daemon

override_dh_auto_install:
	mkdir -p debian/sl-modem-source/usr/src/sl-modem-$(CVERSION)

	# Copy only the driver source to the proper location
	tar -c --exclude ".svn" modem/modem_defs.h drivers patches ungrab-winmodem | tar x -C debian/sl-modem-source/usr/src/sl-modem-$(CVERSION)
	sed -e "s/#VERSION#/$(CVERSION)/g" debian/dkms.conf.in > debian/sl-modem-source/usr/src/sl-modem-$(CVERSION)/dkms.conf
	chmod -R a+r debian/sl-modem-source/

override_dh_installchangelogs:
	dh_installchangelogs Changes

override_dh_installdebconf:
	dh_installdebconf
	perl debian/setcountries.pl debian/sl-modem-daemon/DEBIAN/templates

override_dh_installinit:
	dh_installinit -n

override_dh_installmodules:
	dh_installmodules --name=sl-modem

=== debian/watch ===
version=3

opts=dversionmangle=s/~/-/ \
  http://linmodems.technion.ac.il/packages/smartlink/slmodem-([\d.-]+)\.tar\.gz

## sl-modem 2.9.11~20100718

=== debian/changelog ===
sl-modem (2.9.11~20100718-3) unstable; urgency=low

  * Add /usr/sbin:/sbin to PATH before calling execstack (Closes: #608367)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Thu, 30 Dec 2010 17:50:05 +0200

sl-modem (2.9.11~20100718-2) unstable; urgency=low

  * debian/sl-modem-daemon.init: Run 'aplay -l' with LC_ALL=C to fix modem
    detection with non-English locales (Closes: #626231) (LP: #626231), patch
    submitted by: Milan Bouchet-Valat <nalimilan@club.fr>
  * debian/control: Bumped Standards-Version to 3.9.1, no changes needed.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sun, 29 Aug 2010 23:59:01 +0200

sl-modem (2.9.11~20100718-1) unstable; urgency=low

  * New upstream release.
  * debian/watch: Fixed mangling to get a proper orig tarball
  * Removed 2.6.33.diff patch as it got applied upstream.
  * debian/copyright: Replaced empty lines in license text with ' .'

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Mon, 19 Jul 2010 10:24:18 +0300

sl-modem (2.9.11~20100303-5) unstable; urgency=low

  * debian/sl-modem-daemon.bug-*: Added reportbug customization and script
    files.
  * debian/rules: put sequence to run before any option (for
    compatibility with debhelper v8)
  * Update Danish translation (Closes: #586239)
  * debian/source_sl-modem.py: Enhance apport hook
    + Add output of: ls -l /dev/ttySL* /dev/pts/* /dev/slamr* /dev/slusb
    + Interacts with user to specify the problem.
    + Check for ALSA mode if problem is with fax.
    + Ask to test with WvDial if problem is with dialup, also attach wvdial
      conf file (if it exists).
  * debian/control:
    + Bumped Standards-Version to 3.9.0
    + sl-modem-source (<< 2.9.11~20080817) moved from Conflicts to Breaks

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sat, 10 Jul 2010 14:22:38 +0300

sl-modem (2.9.11~20100303-4) unstable; urgency=low

  * Updated to ungrab-winmodem 20090716 from upstream. Credits to
    Harald Jenny <harald@a-little-linux-box.at> for the heads up.
  * Added patch 2.6.33.diff, to use path of utsrelease.h for linux
    kernels >= 2.6.33 Credits to Harald Jenny
    <harald@a-little-linux-box.at> for the heads up
  * debian/source_sl-modem.py, debian/sl-modem-daemon.install: Added an apport
    hook.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Tue, 15 Jun 2010 10:28:35 +0300

sl-modem (2.9.11~20100303-3) unstable; urgency=low

  * debian/control, debian/copyright: Updated my email address
  * Update Spanish translations (Closes: #577050)
  * sl-modem-daemon.postinst: Remove /etc/modprobe.d/sl-modem-daemon.modutils
    on upgrade/install (Closes: #579825).

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sat, 08 May 2010 19:26:20 +0300

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: sl-modem
 Section: non-free/misc
 Priority: optional
-Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
+Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
 Uploaders: Maurizio Avogadro <mavoga@gmail.com>, Rolf Leggewie <foss@rolf.leggewie.biz>
 Build-Depends: debhelper (>= 7.0.50~), bzip2, libasound2-dev (>> 1.0.6) [i386], lib32asound2-dev [amd64], libc6-dev-i386 [amd64] | lib32c-dev [amd64], gcc-multilib [amd64], po-debconf, execstack
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 DM-Upload-Allowed: yes
 Homepage: http://linmodems.technion.ac.il/packages/smartlink/
 Vcs-Git: git://git.debian.org/git/collab-maint/sl-modem.git
@@ -30,7 +30,8 @@
 Architecture: i386 amd64
 Depends: ${misc:Depends}, ${shlibs:Depends}, debconf | debconf-2.0, adduser
 Provides: slmodem
-Conflicts: sl-modem-modules, sl-modem-source (<< 2.9.11~20080817)
+Conflicts: sl-modem-modules
+Breaks: sl-modem-source (<< 2.9.11~20080817)
 Description: SmartLink software modem daemon
  The SmartLink modem daemon is the application part of the
  driver for recent modems produced by Smart Link Ltd.

=== debian/rules ===
--- 
+++ 
@@ -5,12 +5,12 @@
 CVERSION := $(shell dpkg-parsechangelog | grep '^Version:' | cut -d' ' -f2 | cut -d- -f1)
 
 %:
-	dh -s $@
+	dh $@ -s
 
 override_dh_auto_build:
 	$(MAKE) SUPPORT_ALSA=1 CC="gcc $(shell dpkg-architecture -ei386 || echo -m32)"
 	# Mark slmodemd as not requiring executable stack (LP: #537650)
-	execstack -c modem/slmodemd
+	PATH=/usr/sbin:/sbin:$$PATH execstack -c modem/slmodemd
 
 	# Make 15sl-modem-daemon executable before install:
 	chmod +x debian/15sl-modem-daemon

## sl-modem 2.9.11~20110321

=== Makefile ===
--- 
+++ 
@@ -18,24 +18,32 @@
 # tools
 INSTALL:=install
 
-all: modem drivers
+all: modem
 
 modem:
 	$(MAKE) -C $@ all
 
-install: all install-drivers
+install: all
+
+ifndef SUPPORT_ALSA
+all: drivers
+install: install-drivers
+uninstall: uninstall-drivers
+endif
+
+install:
 	$(INSTALL) -D -m 755 modem/slmodemd ${DESTDIR}/usr/sbin/slmodemd
 	$(RM) -rf ${DESTDIR}/var/lib/slmodem
 	$(INSTALL) -d -D -m 755 ${DESTDIR}/var/lib/slmodem
 
-uninstall: uninstall-drivers
+uninstall:uninstall-drivers
 	$(RM) ${DESTDIR}/usr/sbin/slmodemd
 	$(RM) -rf ${DESTDIR}/var/lib/slmodem
 
 drivers:
 	$(MAKE) -C drivers KERNEL_DIR=$(KERNEL_DIR)
 
-install-drivers:
+install-drivers: drivers
 	$(MAKE) install -C drivers KERNEL_DIR=$(KERNEL_DIR)
 uninstall-drivers:
 	$(MAKE) uninstall -C drivers KERNEL_DIR=$(KERNEL_DIR)

=== drivers/Makefile ===
--- 
+++ 
@@ -76,7 +76,7 @@
 	    $(RM) ${DESTDIR}/dev/slusb$(minor) ; ) echo -n
 
 else
-ifeq ($(shell grep 'UTS.*"2\.6' $(KERNEL_DIR)/include/linux/utsrelease.h $(KERNEL_DIR)/include/linux/version.h 2>/dev/null),)
+ifeq ($(shell grep 'UTS.*"2\.6' $(KERNEL_DIR)/include/generated/utsrelease.h $(KERNEL_DIR)/include/linux/utsrelease.h $(KERNEL_DIR)/include/linux/version.h 2>/dev/null),)
 
 slusb-objs:= old_st7554.o
 obj:=.

=== modem/Makefile ===
--- 
+++ 
@@ -13,11 +13,18 @@
 #
 ###########################################################################
 
+ARCH64:=$(shell uname -m | sed -e '/amd64/s//x86_64/' | grep -c x86_64)
+
+ifeq ($(ARCH64), 0)
 CC:= gcc
+else
+# SUPPORT_ALSA:=1
+CC:= gcc -m32
+endif
+
 RM:= rm -f
 
-CFLAGS:= -Wall -g -O -I. -DCONFIG_DEBUG_MODEM
-
+CFLAGS+= -Wall -g -O -I. -DCONFIG_DEBUG_MODEM
 
 modem-objs:= \
 	modem.o modem_datafile.o modem_at.o modem_timer.o \
@@ -25,20 +32,28 @@
 	modem_param.o modem_debug.o homolog_data.o
 dp-objs:= dp_sinus.o dp_dummy.o
 sysdep-objs:= sysdep_common.o
+all-objs:= modem_cmdline.o $(modem-objs) $(dp-objs) dsplibs.o $(sysdep-objs) 
 
 all: slmodemd modem_test
 
-slmodemd: modem_main.o modem_cmdline.o $(modem-objs) $(dp-objs) dsplibs.o $(sysdep-objs)
-modem_test: modem_test.o modem_cmdline.o $(modem-objs) $(dp-objs) dsplibs.o $(sysdep-objs)
+slmodemd: modem_main.o $(all-objs)
+modem_test: modem_test.o $(all-objs)
 
-#SUPPORT_ALSA:=1
 ifdef SUPPORT_ALSA
-slmodemd: -lasound
 CFLAGS+= -DSUPPORT_ALSA=1
+ifeq ($(ARCH64), 0)
+LFLAGS+= /usr/lib/libasound.so
+else
+# LFLAGS+= /usr/lib32/libasound.so , replaced by -l commands search for asound
+LFLAGS+= -lasound
+endif
 endif
 
-slmodemd modem_test:
-	$(CC) -o $@ $^
+slmodemd:
+	$(CC) -o slmodemd modem_main.o $(all-objs) $(LFLAGS)
+
+modem_test:
+	$(CC) -o modem_test modem_test.o $(all-objs) $(LFLAGS)
 
 clean:
 	$(RM) slmodemd modem_test modem_main.o modem_cmdline.o modem_test.o $(modem-objs) $(dp-objs) $(sysdep-objs)

=== debian/changelog ===
sl-modem (2.9.11~20110321-21) unstable; urgency=low

  * Add fix-linux-6.15-ftbfs.diff to fix FTBFS with linux >= 6.15
    (Closes: #1106710)
  * Update copyright years
  * d/control: bump standards version to 4.7.2

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Fri, 29 Aug 2025 15:48:01 +0200

sl-modem (2.9.11~20110321-20) unstable; urgency=low

  * Add fix-linux-6.12-ftbfs.patch to fix FTBFS with Linux 6.12
    (Closes: #1089504)
  * Bumped standards version to 4.7.0

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Wed, 11 Dec 2024 15:36:12 +0100

sl-modem (2.9.11~20110321-19) unstable; urgency=low

  [ Andreas Beckmann ]
  * Work around missing .amrlibs.o.cmd on i386 (Closes: #1039626)

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * Add fix-linux-6.4-semaphore-definition.patch from Ubuntu

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon, 10 Jul 2023 22:29:25 +0200

sl-modem (2.9.11~20110321-18) unstable; urgency=low

  * d/copyright: update copyright years
  * d/sl-modem-dkms.dkms: add BUILD_EXCLUSIVE_CONFIG="CONFIG_USB"
    This is in order to skip building the module for kernels without
    CONFIG_USB.
    Thanks to Andreas Beckmann <anbe@debian.org> (Closes: #1039572)
  * Add fix-linux-6.4-ftbfs.diff patch to fix FTBFS with Linux 6.4.
    Thanks to Andreas Beckmann <anbe@debian.org> (Closes: #1039625)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Wed, 28 Jun 2023 02:13:47 +0200

sl-modem (2.9.11~20110321-17) unstable; urgency=low

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * Fix day-of-week for changelog entries 2.9.11~20080817-2, 2.9.11~20080817-1,
    2.7.10-1.

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * Update standards version to 4.6.2
  * d/control:
    + Bump to debhelper 13
    + Switch to dh-sequence-dkms in build deps. (Closes: #1027887)
    + Add Testsuite: autopkgtest-pkg-dkms
      Thanks to Andreas Beckmann <anbe@debian.org>
    + Drop execstack from build deps (Closes: #982685)
    + Add Rules-Requires-Root: no
  * d/rules:
    + Drop --with dkms
      Thanks to Andreas Beckmann <anbe@debian.org>
    + Use DEB_HOST_ARCH in debian/rules instead of the incorrect
      DEB_BUILD_ARCH.
      Thanks to Steve Langasek <steve.langasek@ubuntu.com>
    + Use objcopy instead of execstack to set the no-executable-stack state on
      the daemon's closed-source binary on i386.
      Thanks to Steve Langasek <steve.langasek@ubuntu.com>
    + Make the package cross-buildable.
      Thanks to Steve Langasek <steve.langasek@ubuntu.com>
    * d/sl-modem-dkms.dkms: Fix "dkms: line 80: cd: too many arguments"
      New dkms appends CC= variable to the MAKE[0] command, which this package
      treats like an arbitrary shell command. .
      Thanks to Dimitri John Ledkov <dimitri.ledkov@canonical.com>
  * Add d/sl-modem-dkms.lintian-overrides
  * Add d/s/lintian-overrides for missing sources of dsplibs.o & amrlibs.o

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Fri, 16 Jun 2023 03:53:11 +0200

sl-modem (2.9.11~20110321-16) unstable; urgency=medium

  * Add fix-linux-5.0-ftbfs.diff patch from Ubuntu to fix FTBFS with Limux 5.0.
    Thanks to Seth Forshee <seth.forshee@canonical.com> (LP: #1818833)
  * Fix array overrun of st7554_table in st7554_open
    - fixes array bounds checking error of an index into the table.
    Thanks to Colin Ian King <colin.king@canonical.com> (LP: #1832718)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon, 17 Jun 2019 03:39:06 +0200

sl-modem (2.9.11~20110321-15) unstable; urgency=medium

  * Add fix-glibc-2.28-ftbfs.diff patch to fix FTBFS with glibc 2.28.
    Thanks to Ben Hutchings <ben@decadent.org.uk> (Closes: #918443)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Tue, 08 Jan 2019 05:01:59 +0100

sl-modem (2.9.11~20110321-14) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Change Format URL to correct one
  * d/changelog: Remove trailing whitespaces

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * Remove old transitional sl-modem-source target
  * Modify support_linux3.diff patch to support linux >3.
    Thanks to Ben Hutchings <ben@decadent.org.uk> (Closes: #916034)
  * Update standards version to 4.3.0, no changes needed
  * debian/control, debian/changelog: Remove empty lines
  * Bumped compat level to 12

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Wed, 02 Jan 2019 05:49:08 +0100

sl-modem (2.9.11~20110321-13) unstable; urgency=medium

  * sl-modem-daemon.{prerm,postinst}: check for invoke-rc.d using which
    instead of checking hard coded path
  * sl-modem-daemon.README.Debian: fix typo
  * debian/control: add lsb-base (>= 3.0-6) to sl-modem-daemon depends.
  * Redirect path checks to /dev/null
  * Update Vcs-* URIs
  * Updated standards version to 4.2.0
  * Switch to secure copyright format URL
  * Update copyright years
  * Bump compat level to 11
  * Switch to secure upstream URL
  * Use DEB_VERSION_UPSTREAM from /usr/share/dpkg/pkg-info.mk instead of
    parsing dpkg-parsechangelog
  * No need for priority field in sl-modem-source, implicitly setting it to
    optional.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon, 06 Aug 2018 17:09:48 +0200

sl-modem (2.9.11~20110321-12) unstable; urgency=medium

  * debian/control:
    + Fix kernel-headers-* dependencies and demote them to Recommends.
      Thanks to Ben Hutchings <ben@decadent.org.uk> (Closes: #728628)
    + Remove libc6-dev from sl-modem-dkms' dependencies (dkms should be
      enough)
  * debian/copyright: Update copyright years.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sat, 09 May 2015 18:27:36 +0200

sl-modem (2.9.11~20110321-11) unstable; urgency=medium

  * debian/sl-modem-daemon.init: Source /lib/lsb/init-functions in init
    script.


=== debian/control ===
Source: sl-modem
Section: non-free/misc
Priority: optional
Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
Uploaders: Maurizio Avogadro <mavoga@gmail.com>, Rolf Leggewie <foss@rolf.leggewie.biz>
Build-Depends: debhelper-compat (= 13), bzip2, libasound2-dev (>> 1.0.6), po-debconf, dh-sequence-dkms
Testsuite: autopkgtest-pkg-dkms
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://linmodems.technion.ac.il/packages/smartlink/
Vcs-Git: https://salsa.debian.org/debian/sl-modem.git
Vcs-Browser: https://salsa.debian.org/debian/sl-modem
XS-Autobuild: yes

Package: sl-modem-dkms
Section: non-free/kernel
Architecture: i386 amd64
Depends: ${misc:Depends}
Recommends: linux-headers-686-pae | linux-headers-amd64 | linux-headers-generic
Replaces: sl-modem-source (<< 2.9.11~20110321-7)
Breaks: sl-modem-source (<< 2.9.11~20110321-7)
Description: SmartLink software modem driver - module building source
 This package contains source code for the low-level drivers for the
 software modems produced by Smart Link Ltd. It supports PCI and USB models.
 .
 In addition to this package, you will need the package sl-modem-daemon
 which implements the application part of the driver.
 .
 Module packages can be built for the custom kernel package either by hand or
 using DKMS.

Package: sl-modem-daemon
Architecture: i386
Depends: ${misc:Depends}, ${shlibs:Depends}, debconf | debconf-2.0, adduser, alsa-utils, lsb-base (>= 3.0-6)
Provides: slmodem
Conflicts: sl-modem-modules
Breaks: sl-modem-source (<< 2.9.11~20080817)
Description: SmartLink software modem daemon
 The SmartLink modem daemon is the application part of the
 driver for recent modems produced by Smart Link Ltd.
 .
 This package replaces (along with hardware access drivers) the old
 driver generation (2.7.x) which consisted of kernel modules only.
 .
 It needs a kernel driver to access the hardware. This can be either
 recent ALSA (shipped with a newer kernel (>=2.6.4) with ALSA support
 and snd-intel8x0m module) which is sufficient for basic operation and
 data/Internet connection, or the SmartLink kernel driver which is
 provided by separate packages which you can build using the source from
 the sl-modem-dkms package.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

DEB_HOST_ARCH     ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_BUILD_ARCH    ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

ifneq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
    CROSSCC=$(DEB_HOST_GNU_TYPE)-
endif

export KVERS

%:
	dh $@

override_dh_auto_build:
ifeq (i386,$(shell dpkg-architecture -qDEB_HOST_ARCH))
	# Mark slmodemd as not requiring executable stack (LP: #537650)
	objcopy modem/dsplibs.o modem/dsplibs.o.new \
		--set-section-flags ".note.GNU-stack"=contents,readonly
	mv modem/dsplibs.o.new modem/dsplibs.o

	$(MAKE) SUPPORT_ALSA=1 CC=$(CROSSCC)gcc

	# Make 15sl-modem-daemon executable before install:
	chmod +x debian/15sl-modem-daemon
endif

override_dh_auto_install:
	mkdir -p debian/sl-modem-dkms/usr/src/sl-modem-$(DEB_VERSION_UPSTREAM)

	# Copy only the driver source to the proper location
	tar -c --exclude ".svn" modem/modem_defs.h drivers patches ungrab-winmodem | tar x -C debian/sl-modem-dkms/usr/src/sl-modem-$(DEB_VERSION_UPSTREAM)
	chmod -R a+r debian/sl-modem-dkms/

override_dh_installchangelogs:
	dh_installchangelogs Changes

override_dh_installdebconf:
	dh_installdebconf
	perl debian/setcountries.pl debian/sl-modem-daemon/DEBIAN/templates

override_dh_installinit:
	dh_installinit -n

override_dh_installmodules:
	dh_installmodules --name=sl-modem

override_dh_dkms:
	dh_dkms -V

=== debian/watch ===
version=3

opts="uversionmangle=s/-/~/" \
  https://linmodems.technion.ac.il/packages/smartlink/slmodem-([\d.-]+)\.tar\.gz

## sl-modem 2.9.11%7e20110321

=== debian/rules ===
#!/usr/bin/make -f

export KVERS

CVERSION := $(shell dpkg-parsechangelog | grep '^Version:' | cut -d' ' -f2 | cut -d- -f1)

%:
	dh $@ -s --with dkms

override_dh_auto_build:
	$(MAKE) SUPPORT_ALSA=1 CC="gcc $(shell dpkg-architecture -ei386 || echo -m32)"
	# Mark slmodemd as not requiring executable stack (LP: #537650)
	PATH=/usr/sbin:/sbin:$$PATH execstack -c modem/slmodemd

	# Make 15sl-modem-daemon executable before install:
	chmod +x debian/15sl-modem-daemon

override_dh_auto_install:
	mkdir -p debian/sl-modem-source/usr/src/sl-modem-$(CVERSION)

	# Copy only the driver source to the proper location
	tar -c --exclude ".svn" modem/modem_defs.h drivers patches ungrab-winmodem | tar x -C debian/sl-modem-source/usr/src/sl-modem-$(CVERSION)
	chmod -R a+r debian/sl-modem-source/

override_dh_installchangelogs:
	dh_installchangelogs Changes

override_dh_installdebconf:
	dh_installdebconf
	perl debian/setcountries.pl debian/sl-modem-daemon/DEBIAN/templates

override_dh_installinit:
	dh_installinit -n

override_dh_installmodules:
	dh_installmodules --name=sl-modem

override_dh_dkms:
	dh_dkms -V
